# Generated from flowlink_data-0.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flowlink_data

Name: rubygem-%{gem_name}
Version: 0.4.0
Release: 1%{?dist}
Summary: Constructor object bases for use with flowlink.io
License: MIT
URL: https://github.com/aokpower/flowlink_data
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A framework for getting Flowlink objects from other sources. For example:
class Distributor::Product < Flowlink::Product
def sku(hashable)
# code that picks sku data out of a hashable object.
end
end
Distributor::Product.new(CSV::Row).to_message #=> A bunch of
NotImplementedError because just a sku is an invalid product.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.4.0-1
- Initial package
